/**
 * Typography
 *
 * Override Bootstrap typogrpahy and provide additional styles.
 */

h1 {
  font-size: $font-size-h1;
  font-weight: $font-weight-h1;

  @media screen and (max-width: $container-tablet) {
    font-size: $font-size-h3;
  }

  @media screen and (max-width: $container-phone) {
    font-size: $font-size-h4;
  }
}

h2 {
 font-size: $font-size-h2;
 font-weight: $font-weight-h2;

 @media screen and (max-width: $container-tablet) {
   font-size: $font-size-h4;
 }

 @media screen and (max-width: $container-phone) {
   font-size: $font-size-h5;
 }
}

h3 {
 font-size: $font-size-h3;
 font-weight: $font-weight-h3;

 @media screen and (max-width: $container-tablet) {
   font-size: $font-size-h5;
 }

 @media screen and (max-width: $container-phone) {
   font-size: $font-size-h6;
 }
}

h4 {
 font-size: $font-size-h4;
 font-weight: $font-weight-h4;

 @media screen and (max-width: $container-tablet) {
   font-size: $font-size-h6;
 }

 @media screen and (max-width: $container-phone) {
   font-size: $font-size-h6;
 }
}

h5 {
 font-size: $font-size-h5;
 font-weight: $font-weight-h5;

 @media screen and (max-width: $container-tablet) {
   font-size: $font-size-medium;
 }

 @media screen and (max-width: $container-phone) {
   font-size: $font-size-small;
 }
}

h6 {
 font-size: $font-size-h6;
 font-weight: $font-weight-h6;

 @media screen and (max-width: $container-tablet) {
   font-size: $font-size-small;
 }

 @media screen and (max-width: $container-phone) {
   font-size: $font-size-extra-small;
 }
}
blockquote{
  clear:both;
}
p, li, dd, dt, blockquote {
 .post-content & {
   font-size: $font-size-medium;
   font-weight: $font-weight-light;

   &.lead,
   &.highlight {
     font-size: $font-size-large;
     font-weight: $font-weight-normal;
   }

   &.caption {
     font-size: $font-size-extra-small;
     font-style: italic;
   }

   @media screen and (max-width: $container-tablet) {
     font-size: 16px;
      &.highlight {
      font-size: $font-size-medium;
    }
     &.lead {
       font-size: $font-size-small;
     }

     &.caption {
       font-size: 14px;
     }
   }
 }
}

p + p.caption {
 margin-top: -$grid-gutter-width;
}

a {
  color: $brand-primary;
  cursor: pointer;
  &:focus {
    text-decoration:underline;
    outline:  thin solid;
    .page-masthead-body &{
      outline:none;
    }
    img {
        opacity: 0.7;
        -webkit-filter: grayscale(1);
        -webkit-filter: grayscale(100%);
        filter: gray;
        filter: grayscale(100%);
        // filter: url("data:image/svg+xml;utf8,<svg version='1.1' xmlns='http://www.w3.org/2000/svg' height='0'><filter id='greyscale'><feColorMatrix type='matrix' values='0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0' /></filter></svg>#greyscale");

    }
  }
  &:hover,
  &:focus {
    color: darken($brand-primary, 15%);
    text-decoration: underline;
  }
  .agenda & ,
  .post-content &{
   text-decoration:underline;
  }
}


